Skip to content
The API may change between versions while TTX-Zone is 0.x.

Update settings

PUT
/api/v1/instance/settings
curl --request PUT \
--url https://example.com/api/v1/instance/settings \
--header 'Content-Type: application/json' \
--header 'X-CSRF-Token: <X-CSRF-Token>' \
--cookie ttx_access_token=<ttx_access_token> \
--data '{ "max_organizations": 1, "tenancy_mode": "open" }'

Change the tenancy rule. Needs a recent authentication.

Media typeapplication/json
InstanceSettingsUpdateRequest
object
max_organizations
Any of:
integer
>= 1
tenancy_mode
required
Tenancy Mode
string
Allowed values: open single managed

Successful Response

Media typeapplication/json
InstanceSettingsRead
object
max_organizations
required
Any of:
integer
organization_count
required
Organization Count
integer
pinned_by_env
required
Pinned By Env
boolean
tenancy_mode
required
Tenancy Mode
string
Allowed values: open single managed

Example

{
"tenancy_mode": "open"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}